SamePropertyValuesAs (Hamcrest)
Date: 2012-07-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hamcrest.beans
Class SamePropertyValuesAs<T>

    java.lang.Object
      org.hamcrest.BaseMatcher<T>
          org.hamcrest.TypeSafeDiagnosingMatcher<T>
              org.hamcrest.beans.SamePropertyValuesAs<T>

All Implemented Interfaces:
  Matcher<T>, SelfDescribing

    public class SamePropertyValuesAs<T>

extends TypeSafeDiagnosingMatcher<T>

Nested Class Summary
`static class` | `SamePropertyValuesAs.PropertyMatcher`

Constructor Summary
`SamePropertyValuesAs(T expectedBean)`

Method Summary
`void` | `describeTo(Description description)` Generates a description of the object.
`boolean` | `matchesSafely(T bean, Description mismatch)` Subclasses should implement this.
`static
`<T> Matcher<T>`
` | `samePropertyValuesAs(T expectedBean)` Creates a matcher that matches when the examined object has values for all of its JavaBean properties that are equal to the corresponding values of the specified bean.

Methods inherited from class org.hamcrest.TypeSafeDiagnosingMatcher
`describeMismatch, matches`

Methods inherited from class org.hamcrest.BaseMatcher
`_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SamePropertyValuesAs

    public SamePropertyValuesAs(T expectedBean)

Method Detail

### matchesSafely

    public boolean matchesSafely(T bean,
                                 Description mismatch)

  Description copied from class: `TypeSafeDiagnosingMatcher`
  Subclasses should implement this. The item will already have been checked for the specific type and will never be null.

  Specified by:
    `matchesSafely` in class `TypeSafeDiagnosingMatcher<T>`

### describeTo

    public void describeTo(Description description)

  Description copied from interface: `SelfDescribing`
  Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.

  Parameters:
    `description` - The description to be built or appended to.

### samePropertyValuesAs

    public static <T> Matcher<T> samePropertyValuesAs(T expectedBean)

  Creates a matcher that matches when the examined object has values for all of its JavaBean properties that are equal to the corresponding values of the specified bean.

  For example:

      assertThat(myBean, samePropertyValuesAs(myExpectedBean))

  Parameters:
    `expectedBean` - the bean against which examined beans are compared

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD